#ifndef __FILE_DE_PRIORITE_D_ENTIERS__
#define __FILE_DE_PRIORITE_D_ENTIERS__
#include <errno.h>
#include "ListeChaineeDEntiers.h"

typedef struct FDPDE_FileDePrioriteDEntiers {
  unsigned int nb;
  LCDE_ListeChainee premierASortir;
  LCDE_ListeChainee dernierASortir;  
} FDPDE_FileDePrioriteDEntiers;

#define LCDE_ERREUR_MEMOIRE 1

FDPDE_FileDePrioriteDEntiers FDPDE_fileDePrioriteDEntiers();
int FDPDE_estVide(FDPDE_FileDePrioriteDEntiers f);
unsigned int FDPDE_longueur(FDPDE_FileDePrioriteDEntiers f);
void FDPDE_enfiler(FDPDE_FileDePrioriteDEntiers *pf, int e); 
int FDPDE_obtenirElement(FDPDE_FileDePrioriteDEntiers f);  /* assertion : non FDPDE_estVide(f) */
int FDPDE_obtenirIemeElement(FDPDE_FileDePrioriteDEntiers f, unsigned int i); /* assertion : 1 <= i <= FDPDE_longueur(l) */
void FDPDE_defiler(FDPDE_FileDePrioriteDEntiers *pf); /* assertion :  non FDPDE_estVide(f) */
void FDPDE_vider(FDPDE_FileDePrioriteDEntiers *pf);
int FDPDE_egale(FDPDE_FileDePrioriteDEntiers f1, FDPDE_FileDePrioriteDEntiers f2);
#endif 
